# Module: `src\vendor_capabilities.py`

Auto-generated from source. 1 struct(s) defined in this module.

## `src\vendor_capabilities.py::VendorCapabilities`

**Kind:** `dataclass`
**Defined at:** line 5

**Fields:**
- `vendor: str`
- `model: str`
- `vision: bool`
- `tool_calling: bool`
- `caching: bool`
- `streaming: bool`
- `model_discovery: bool`
- `context_window: int`
- `cost_tracking: bool`
- `cost_input_per_mtok: float`
- `cost_output_per_mtok: float`
- `notes: str`
- `local: bool`
- `reasoning: bool`
- `structured_output: bool`
- `code_execution: bool`
- `web_search: bool`
- `x_search: bool`
- `file_search: bool`
- `mcp_support: bool`
- `audio: bool`
- `video: bool`
- `grounding: bool`
- `computer_use: bool`

